<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.8.0.final using JasperReports Library version 6.8.0-2ed8dfabb690ff337a5797129f2cd92902b0c87b  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="quote_main" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="0" bottomMargin="0" uuid="8239b8ef-f3f3-4d6d-b52c-f2937e8ee414">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Json.xml"/>
	<queryString language="JSON">
		<![CDATA[]]>
	</queryString>
	<field name="template" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="template"/>
		<fieldDescription><![CDATA[template]]></fieldDescription>
	</field>
	<field name="document_title" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="document_title"/>
		<fieldDescription><![CDATA[document_title]]></fieldDescription>
	</field>
	<field name="quote" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="quote"/>
		<fieldDescription><![CDATA[quote]]></fieldDescription>
	</field>
	<field name="panels" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="panels"/>
		<fieldDescription><![CDATA[panels]]></fieldDescription>
	</field>
	<field name="inverters" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="inverters"/>
		<fieldDescription><![CDATA[inverters]]></fieldDescription>
	</field>
	<field name="project" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="project"/>
		<fieldDescription><![CDATA[project]]></fieldDescription>
	</field>
	<field name="language" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="language"/>
		<fieldDescription><![CDATA[language]]></fieldDescription>
	</field>
	<field name="forms" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="forms"/>
		<fieldDescription><![CDATA[forms]]></fieldDescription>
	</field>
	<field name="customer" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="customer"/>
		<fieldDescription><![CDATA[customer]]></fieldDescription>
	</field>
	<field name="sales_rep_firstname" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="customer.salesRep.firstName"/>
		<fieldDescription><![CDATA[customer.salesRep.firstName]]></fieldDescription>
	</field>
	<field name="sales_rep_lastname" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="customer.salesRep.lastName"/>
		<fieldDescription><![CDATA[customer.salesRep.lastName]]></fieldDescription>
	</field>
	<field name="source" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="customer.source"/>
		<fieldDescription><![CDATA[customer.source]]></fieldDescription>
	</field>
	<field name="sourcing" class="java.lang.String">
		<property name="net.sf.jasperreports.json.field.expression" value="quote.sourcing"/>
		<fieldDescription><![CDATA[quote.sourcing]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<detail>
		<band height="820">
			<subreport>
				<reportElement stretchType="ContainerHeight" isPrintRepeatedValues="false" x="0" y="0" width="538" height="820" isPrintWhenDetailOverflows="true" uuid="768ed516-b66b-422f-8e01-c4f67fde539e"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_front_page.jasper"]]></subreportExpression>
			</subreport>
		</band>
		<band height="802">
			<subreport>
				<reportElement stretchType="ContainerHeight" isPrintRepeatedValues="false" x="0" y="0" width="538" height="802" isPrintWhenDetailOverflows="true" uuid="483f205b-9e37-4ea8-bccd-91445a5cdf53"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_commitment.jasper"]]></subreportExpression>
			</subreport>
		</band>
		<band height="827">
			<subreport>
				<reportElement x="0" y="0" width="538" height="802" uuid="5a2711e2-18f0-4894-a12f-96748cf54c9d"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_argument_panel.jasper"]]></subreportExpression>
			</subreport>
			<frame>
				<reportElement x="4" y="790" width="569" height="30" uuid="749a5e02-1572-4be4-b1bd-20c3bba65616">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<staticText>
					<reportElement x="16" y="0" width="181" height="30" uuid="d99e93a0-300d-47fa-900e-9f53bd48af6b"/>
					<text><![CDATA[/ Votre projet photovoltaïque]]></text>
				</staticText>
				<textField pattern="d/MM/yyyy">
					<reportElement x="469" y="0" width="100" height="30" uuid="ab064b17-9f84-4cf9-9af9-a0d621e55f3e"/>
					<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="0" y="0" width="21" height="30" uuid="d9dd351e-b36a-47f3-baed-5bd7751f994b"/>
					<textFieldExpression><![CDATA[$V{PAGE_NUMBER}-1]]></textFieldExpression>
				</textField>
			</frame>
		</band>
		<band height="820">
			<subreport>
				<reportElement x="0" y="0" width="538" height="802" uuid="2b531b44-e234-4892-aa99-8435227c7f76"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_argument_inverter.jasper"]]></subreportExpression>
			</subreport>
			<frame>
				<reportElement x="4" y="790" width="569" height="30" uuid="f5923ab5-9987-4faf-b868-d13e1a007c86">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textField>
					<reportElement x="0" y="0" width="21" height="30" uuid="23963f20-e4fd-480a-820f-ee016ab7d869"/>
					<textFieldExpression><![CDATA[$V{PAGE_NUMBER}-1]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="16" y="0" width="181" height="30" uuid="1a448b97-d70c-455c-aa11-452d955f05cb"/>
					<text><![CDATA[/ Votre projet photovoltaïque]]></text>
				</staticText>
				<textField pattern="d/MM/yyyy">
					<reportElement x="469" y="0" width="100" height="30" uuid="6ed1f68a-aed3-4d50-a49b-70763348b5d9"/>
					<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
			</frame>
		</band>
		<band height="825">
			<subreport>
				<reportElement x="0" y="0" width="537" height="802" uuid="e0c85752-93c9-469b-af63-9630069bb76e"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_argument_service.jasper"]]></subreportExpression>
			</subreport>
			<frame>
				<reportElement x="4" y="790" width="569" height="30" uuid="7e0cfe5f-d6c5-4610-b9c7-54a1a1c93916">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textField>
					<reportElement x="0" y="0" width="21" height="30" uuid="80283b43-d617-4711-ad78-5f24097dc4ee"/>
					<textFieldExpression><![CDATA[$V{PAGE_NUMBER}-2]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="16" y="0" width="181" height="30" uuid="45b6e3fd-0ffc-4a44-b436-0a4a39d89527"/>
					<text><![CDATA[/ Votre projet photovoltaïque]]></text>
				</staticText>
				<textField pattern="d/MM/yyyy">
					<reportElement x="469" y="0" width="100" height="30" uuid="f496fe2e-6e70-4c3f-9e88-7fe4c163f5ae"/>
					<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
			</frame>
		</band>
		<band height="842">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<subreport>
				<reportElement x="0" y="0" width="537" height="802" uuid="286c42a5-217b-4b29-bafb-2ffe595c4c35"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_profitability.jasper"]]></subreportExpression>
			</subreport>
		</band>
		<band height="825">
			<subreport>
				<reportElement x="0" y="0" width="538" height="802" uuid="ac9e0620-1591-4c8d-ae42-cdbf24306739"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_complements_and_partners.jasper"]]></subreportExpression>
			</subreport>
			<frame>
				<reportElement x="4" y="790" width="569" height="30" uuid="306d5593-71dc-4a25-9472-d5ca1808a0ba">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textField>
					<reportElement x="0" y="0" width="21" height="30" uuid="f839789d-a227-4ad9-b1b4-5543585365fe"/>
					<textFieldExpression><![CDATA[$V{PAGE_NUMBER}-1]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="16" y="0" width="181" height="30" uuid="01fe13cf-4967-4812-b056-cc1b1691759a"/>
					<text><![CDATA[/ Votre projet photovoltaïque]]></text>
				</staticText>
				<textField pattern="d/MM/yyyy">
					<reportElement x="469" y="0" width="100" height="30" uuid="3a9cc5b6-5b19-46ec-a570-cc0d8c0e747d"/>
					<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
			</frame>
		</band>
		<band height="820">
			<printWhenExpression><![CDATA[(LOWER($F{source}).equals("hellosun") && (!LOWER($F{source}).equals("eneco") || !LOWER($F{source}).equals("belfius"))) && ((LOWER($F{sourcing}).equals("hellosun") || LOWER($F{sourcing}).equals("par_defaut") || $F{sourcing}.equals("")) && (!LOWER($F{sourcing}).equals("eneco") || !LOWER($F{sourcing}).equals("belfius")))
|| ((!LOWER($F{source}).equals("hellosun") && (LOWER($F{source}).equals("eneco") || LOWER($F{source}).equals("belfius") || LOWER($F{source}).equals("par_defaut") || LOWER($F{source}).equals(""))) && ((!LOWER($F{sourcing}).equals("eneco") || !LOWER($F{sourcing}).equals("belfius") || !LOWER($F{sourcing}).equals("par_defaut") || !LOWER($F{sourcing}).equals("")) && (LOWER($F{sourcing}).equals("hellosun"))))
|| ((!LOWER($F{source}).equals("hellosun")) && ((!LOWER($F{sourcing}).equals("eneco") || !LOWER($F{sourcing}).equals("belfius") || !LOWER($F{sourcing}).equals("par_defaut") || !LOWER($F{sourcing}).equals("")) && (LOWER($F{sourcing}).equals("hellosun"))))
|| (LOWER($F{source}).equals("hellosun") && (LOWER($F{sourcing}).equals("hellosun")))]]></printWhenExpression>
			<subreport>
				<reportElement x="0" y="0" width="538" height="795" uuid="c1a457bf-7aac-4b59-879a-88c291cf0438"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_hellosun.jasper"]]></subreportExpression>
			</subreport>
			<frame>
				<reportElement x="4" y="790" width="569" height="30" uuid="fdcda9fc-7329-4a27-83e4-3d0c35b18c0e">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textField>
					<reportElement x="0" y="0" width="21" height="30" uuid="23a8fb00-e38b-42ac-b0f6-7b4103a349ae"/>
					<textFieldExpression><![CDATA[$V{PAGE_NUMBER}-1]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="16" y="0" width="181" height="30" uuid="2a3f01fd-f58c-4c45-9463-458d6580f24c"/>
					<text><![CDATA[/ Votre projet photovoltaïque]]></text>
				</staticText>
				<textField pattern="d/MM/yyyy">
					<reportElement x="469" y="0" width="100" height="30" uuid="91645939-08d7-44a7-a563-9293f09f29a3"/>
					<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
			</frame>
		</band>
		<band height="835">
			<printWhenExpression><![CDATA[(LOWER($F{source}).equals("hellosun") && (!LOWER($F{source}).equals("eneco") || !LOWER($F{source}).equals("belfius"))) && ((LOWER($F{sourcing}).equals("hellosun") || LOWER($F{sourcing}).equals("par_defaut") || $F{sourcing}.equals("")) && (!LOWER($F{sourcing}).equals("eneco") || !LOWER($F{sourcing}).equals("belfius")))
|| ((!LOWER($F{source}).equals("hellosun") && (LOWER($F{source}).equals("eneco") || LOWER($F{source}).equals("belfius") || LOWER($F{source}).equals("par_defaut") || LOWER($F{source}).equals(""))) && ((!LOWER($F{sourcing}).equals("eneco") || !LOWER($F{sourcing}).equals("belfius") || !LOWER($F{sourcing}).equals("par_defaut") || !LOWER($F{sourcing}).equals("")) && (LOWER($F{sourcing}).equals("hellosun"))))
|| ((!LOWER($F{source}).equals("hellosun")) && ((!LOWER($F{sourcing}).equals("eneco") || !LOWER($F{sourcing}).equals("belfius") || !LOWER($F{sourcing}).equals("par_defaut") || !LOWER($F{sourcing}).equals("")) && (LOWER($F{sourcing}).equals("hellosun"))))
|| (LOWER($F{source}).equals("hellosun") && (LOWER($F{sourcing}).equals("hellosun")))]]></printWhenExpression>
			<subreport>
				<reportElement x="0" y="0" width="538" height="802" uuid="ea60905c-7b17-4c66-9473-8d0eae57e32b"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_detail_hellosun.jasper"]]></subreportExpression>
			</subreport>
			<frame>
				<reportElement x="4" y="805" width="598" height="30" uuid="45af094f-47ef-482e-a96a-a9209eaf10a9">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textField>
					<reportElement x="0" y="0" width="21" height="30" uuid="e6c3a604-f349-4530-928b-e280fae7720e"/>
					<textFieldExpression><![CDATA[$V{PAGE_NUMBER}-2]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="16" y="0" width="181" height="30" uuid="37c83553-8ef3-4691-8a14-989ff98b6dc5"/>
					<text><![CDATA[/ Votre projet photovoltaïque]]></text>
				</staticText>
				<textField pattern="d/MM/yyyy">
					<reportElement x="498" y="0" width="100" height="30" uuid="6af6f67c-84d8-459c-b870-ad99d95d20f3"/>
					<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
			</frame>
		</band>
		<band height="840">
			<printWhenExpression><![CDATA[/*((!LOWER($F{source}).equals("hellosun") && (LOWER($F{source}).equals("eneco") || LOWER($F{source}).equals("belfius"))) && ((LOWER($F{sourcing}).equals("eneco") || LOWER($F{sourcing}).equals("belfius") || LOWER($F{sourcing}).equals("par_defaut") || LOWER($F{sourcing}).equals("")) && (!LOWER($F{sourcing}).equals("hellosun"))))
|| ((LOWER($F{source}).equals("hellosun") && (!LOWER($F{source}).equals("eneco") || !LOWER($F{source}).equals("belfius"))) && ((!LOWER($F{sourcing}).equals("hellosun") || !LOWER($F{sourcing}).equals("par_defaut") || !$F{sourcing}.equals("")) && (LOWER($F{sourcing}).equals("eneco") || LOWER($F{sourcing}).equals("belfius"))))
|| (!LOWER($F{source}).equals("hellosun") && (!LOWER($F{sourcing}).equals("hellosun")))*/

((!LOWER($F{source}).equals("hellosun") && (LOWER($F{source}).equals("eneco") || LOWER($F{source}).equals("belfius") || LOWER($F{source}) == null)) && ((LOWER($F{sourcing}) == null || LOWER($F{sourcing}).equals("eneco") || LOWER($F{sourcing}).equals("belfius") || LOWER($F{sourcing}).equals("par_defaut") || LOWER($F{sourcing}).equals("")) && (!LOWER($F{sourcing}).equals("hellosun"))))
|| ((LOWER($F{source}).equals("hellosun") && (!LOWER($F{source}).equals("eneco") || !LOWER($F{source}).equals("belfius"))) && ((!LOWER($F{sourcing}).equals("hellosun") || !LOWER($F{sourcing}).equals("par_defaut") || !$F{sourcing}.equals("")) && (LOWER($F{sourcing}).equals("eneco") || LOWER($F{sourcing}).equals("belfius"))))
|| (!LOWER($F{source}).equals("hellosun") && (!LOWER($F{sourcing}).equals("hellosun")))]]></printWhenExpression>
			<subreport>
				<reportElement x="0" y="0" width="538" height="802" uuid="f2e61198-f702-4955-a2ee-d91f7e6a92e0"/>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_detail.jasper"]]></subreportExpression>
			</subreport>
			<frame>
				<reportElement x="4" y="805" width="598" height="30" uuid="5475c1e4-b805-47f1-8df1-0bffc8103333">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textField>
					<reportElement x="0" y="0" width="21" height="30" uuid="05dffa5a-9430-4b18-956a-2729136ec192"/>
					<textFieldExpression><![CDATA[$V{PAGE_NUMBER}-2]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="16" y="0" width="181" height="30" uuid="0d99fdaa-17d3-4058-8575-ecc64d2da66c"/>
					<text><![CDATA[/ Votre projet photovoltaïque]]></text>
				</staticText>
				<textField pattern="d/MM/yyyy">
					<reportElement x="498" y="0" width="100" height="30" uuid="e92ab6ce-1297-44a3-9bfc-3a9900ab2863"/>
					<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
			</frame>
		</band>
		<band height="842">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<subreport>
				<reportElement x="0" y="0" width="538" height="840" uuid="df20b8e0-e806-46d1-9c0d-d116972ee675">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
				</reportElement>
				<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource()]]></dataSourceExpression>
				<subreportExpression><![CDATA["quote_general_conditions.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
</jasperReport>
